Package org.jfree.report.structure

## Class ReportDefinition

- java.lang.Object
- - org.jfree.report.structure.Node
  - - org.jfree.report.structure.Element
    - - org.jfree.report.structure.Section
      - - org.jfree.report.structure.ReportDefinition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`
  Direct Known Subclasses:
    `JFreeReport`, `SubReport`

      public abstract class ReportDefinition
      extends Section

  Creation-Date: 04.03.2006, 21:39:13
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.report.structure.Element

      `ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ReportDefinition()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Group` | `getGroup()` |
    `java.lang.String` | `getQuery()` |
    `ReportDefinition` | `getReport()` |
    `void` | `setQuery​(java.lang.String query)` |

    - ### Methods inherited from class org.jfree.report.structure.Section

      `addNode, addNode, addNodes, addOperationAfter, addOperationBefore, clone, findFirstChild, getElementByName, getNode, getNodeArray, getNodeCount, getNodes, getOperationAfter, getOperationBefore, isRepeat, removeNode, setOperationAfter, setOperationBefore, setRepeat, toString`

    - ### Methods inherited from class org.jfree.report.structure.Element

      `addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

    - ### Methods inherited from class org.jfree.report.structure.Node

      `getParent, getRootReport, setParent, updateParent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportDefinition

          protected ReportDefinition()

  - ### Method Detail

    - #### getQuery

          public java.lang.String getQuery()

    - #### setQuery

          public void setQuery​(java.lang.String query)

    - #### getReport

          public ReportDefinition getReport()

      Overrides:
        `getReport` in class `Node`

    - #### getGroup

          public Group getGroup()

      Overrides:
        `getGroup` in class `Node`